diff --git a/ports/www/chromium/dragonfly/patch-all b/ports/www/chromium/dragonfly/patch-all
index 6ecc716fa2a..7c61c59709b 100644
--- a/ports/www/chromium/dragonfly/patch-all
+++ b/ports/www/chromium/dragonfly/patch-all
@@ -3593,7 +3711,7 @@ index d3f7c1bea46..a2134ed744f 100644
  }
  
 diff --git v8/src/base/platform/platform-posix.cc v8/src/base/platform/platform-posix.cc
-index 5c85807ba1d..c90d14e2b36 100644
+index ba56d5afc708..a1849aa2b182 100644
 --- v8/src/base/platform/platform-posix.cc
 +++ v8/src/base/platform/platform-posix.cc
 @@ -72,7 +72,7 @@
@@ -3605,10 +3723,10 @@ index 5c85807ba1d..c90d14e2b36 100644
  #define MAP_ANONYMOUS MAP_ANON
  #endif
  
-@@ -132,9 +132,9 @@ int GetFlagsForMemoryPermission(OS::MemoryPermission access,
-   int flags = MAP_ANONYMOUS;
+@@ -137,9 +137,9 @@ int GetFlagsForMemoryPermission(OS::MemoryPermission access,
    flags |= (page_type == PageType::kShared) ? MAP_SHARED : MAP_PRIVATE;
-   if (access == OS::MemoryPermission::kNoAccess) {
+   if (access == OS::MemoryPermission::kNoAccess ||
+       access == OS::MemoryPermission::kNoAccessWillJitLater) {
 -#if !V8_OS_AIX && !V8_OS_FREEBSD && !V8_OS_QNX
 +#if !V8_OS_AIX && !V8_OS_FREEBSD && !V8_OS_QNX && !V8_OS_DRAGONFLYBSD
      flags |= MAP_NORESERVE;
@@ -3617,7 +3735,7 @@ index 5c85807ba1d..c90d14e2b36 100644
  #if V8_OS_QNX
      flags |= MAP_LAZY;
  #endif  // V8_OS_QNX
-@@ -1311,7 +1311,7 @@ void Thread::SetThreadLocal(LocalStorageKey key, void* value) {
+@@ -1334,7 +1334,7 @@ void Thread::SetThreadLocal(LocalStorageKey key, void* value) {
  // keep this version in POSIX as most Linux-compatible derivatives will
  // support it. MacOS and FreeBSD are different here.
  #if !defined(V8_OS_FREEBSD) && !defined(V8_OS_DARWIN) && !defined(_AIX) && \
@@ -3627,10 +3745,10 @@ index 5c85807ba1d..c90d14e2b36 100644
  namespace {
  #if DEBUG
 diff --git v8/src/base/sys-info.cc v8/src/base/sys-info.cc
-index c6c84e5f12b..a26cadba1e5 100644
+index 096be2012410..a0f2b514cd3d 100644
 --- v8/src/base/sys-info.cc
 +++ v8/src/base/sys-info.cc
-@@ -71,7 +71,7 @@ int64_t SysInfo::AmountOfPhysicalMemory() {
+@@ -74,7 +74,7 @@ int64_t SysInfo::AmountOfPhysicalMemory() {
      return 0;
    }
    return memsize;
@@ -3640,7 +3758,7 @@ index c6c84e5f12b..a26cadba1e5 100644
    size_t size = sizeof(pages);
    sysctlbyname("vm.stats.vm.v_page_count", &pages, &size, nullptr, 0);
 diff --git v8/src/base/utils/random-number-generator.cc v8/src/base/utils/random-number-generator.cc
-index 91b7c6fc666..49d442235b7 100644
+index 91b7c6fc6666..49d442235b7b 100644
 --- v8/src/base/utils/random-number-generator.cc
 +++ v8/src/base/utils/random-number-generator.cc
 @@ -56,7 +56,7 @@ RandomNumberGenerator::RandomNumberGenerator() {
@@ -3653,10 +3771,10 @@ index 91b7c6fc666..49d442235b7 100644
    // It always succeeds while having decent performance and
    // no file descriptor involved.
 diff --git v8/src/d8/d8-posix.cc v8/src/d8/d8-posix.cc
-index 6b53da110bd..81e3d5546d2 100644
+index c36c27d12046..5d942ab6103d 100644
 --- v8/src/d8/d8-posix.cc
 +++ v8/src/d8/d8-posix.cc
-@@ -339,7 +339,7 @@ static Local<Value> GetStdout(Isolate* isolate, int child_fd,
+@@ -343,7 +343,7 @@ static Local<Value> GetStdout(Isolate* isolate, int child_fd,
  // See http://code.google.com/p/v8/issues/detail?id=401.
  #if defined(WNOWAIT) && !defined(ANDROID) && !defined(__APPLE__) && \
      !defined(__NetBSD__) && !defined(__Fuchsia__)
@@ -3666,10 +3784,10 @@ index 6b53da110bd..81e3d5546d2 100644
  #endif
  #endif
 diff --git v8/src/libsampler/sampler.cc v8/src/libsampler/sampler.cc
-index acb9db8e17c..bae62877466 100644
+index 8650cd33f42c..1e59722bc131 100644
 --- v8/src/libsampler/sampler.cc
 +++ v8/src/libsampler/sampler.cc
-@@ -500,7 +500,7 @@ void SignalHandler::FillRegisterState(void* context, RegisterState* state) {
+@@ -516,7 +516,7 @@ void SignalHandler::FillRegisterState(void* context, RegisterState* state) {
    state->fp =
        reinterpret_cast<void*>(arm_thread_state64_get_fp(mcontext->__ss));
  #endif  // V8_HOST_ARCH_*
@@ -3679,7 +3797,7 @@ index acb9db8e17c..bae62877466 100644
    state->pc = reinterpret_cast<void*>(mcontext.mc_eip);
    state->sp = reinterpret_cast<void*>(mcontext.mc_esp);
 diff --git v8/src/trap-handler/handler-inside-posix.cc v8/src/trap-handler/handler-inside-posix.cc
-index e20835e289a..6b83624b628 100644
+index 1f876c7664a5..07bd8aa389ad 100644
 --- v8/src/trap-handler/handler-inside-posix.cc
 +++ v8/src/trap-handler/handler-inside-posix.cc
 @@ -27,7 +27,7 @@
@@ -3701,7 +3819,7 @@ index e20835e289a..6b83624b628 100644
  #elif V8_OS_OPENBSD
  #define CONTEXT_REG(reg, REG) &uc->sc_##reg
 diff --git v8/src/trap-handler/handler-inside-posix.h v8/src/trap-handler/handler-inside-posix.h
-index ef2f4ee84da..0526be5e418 100644
+index ef2f4ee84da3..0526be5e4185 100644
 --- v8/src/trap-handler/handler-inside-posix.h
 +++ v8/src/trap-handler/handler-inside-posix.h
 @@ -13,7 +13,7 @@ namespace v8 {
@@ -3714,7 +3832,7 @@ index ef2f4ee84da..0526be5e418 100644
  #elif V8_OS_DARWIN
  constexpr int kOobSignal = SIGBUS;
 diff --git v8/src/trap-handler/trap-handler.h v8/src/trap-handler/trap-handler.h
-index 624467c043d..7e2621adba6 100644
+index 632139ddeddd..e6c9ec9dc53e 100644
 --- v8/src/trap-handler/trap-handler.h
 +++ v8/src/trap-handler/trap-handler.h
 @@ -20,7 +20,7 @@ namespace trap_handler {
@@ -3727,7 +3845,7 @@ index 624467c043d..7e2621adba6 100644
  // Arm64 (non-simulator) on Mac and Linux.
  #elif V8_TARGET_ARCH_ARM64 && V8_HOST_ARCH_ARM64 && \
 diff --git v8/tools/testrunner/local/utils.py v8/tools/testrunner/local/utils.py
-index a73941021b8..5ad1997fcd3 100644
+index 470ee1ae28b2..c1cbfce2567d 100644
 --- v8/tools/testrunner/local/utils.py
 +++ v8/tools/testrunner/local/utils.py
 @@ -77,6 +77,10 @@ def GuessOS():
